//Source file: InvalidAccountException.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Invalid merchant account specified.
 *
 */
public class InvalidAccountException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidAccountException() {
        super(); 
    }

    public InvalidAccountException(String message) {
        super(message); 
    }

    public InvalidAccountException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidAccountException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidAccountException

