//Source file: SessionAbortedEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the sessionAborted() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SessionAbortedEvent extends java.util.EventObject {

    /**
     * Constructor for the SessionAbortedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SessionAbortedEvent(java.lang.Object source) {

        super(source);
 
    }

}

